.\"
.\" uncia - a big cat
.\" Copyright (C) 2010, 2012 Peter Miller
.\"
.\" This program is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License, version 3, as
.\" published by the Free Software Foundation.
.\"
.\" This program is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
.\" General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program. If not, see <http://www.gnu.org/licenses/>.
.\"
.ds n) readme
.TH "Read Me" Uncia Uncia "Reference Manual"
.so etc/version.so
.hy 0
.ad l
.SH NAME
Uncia \- A big cat
.XX "" "The README file"
.SH DESCRIPTION
If you thought \f[CW]cat \-v\fP was considered harmful, you haven't met
my uncia.
.PP
The Unix programming philosophy is to write small utilities which
can be piped together to build complex programs.  The objection to
\f[CW]cat \-v\fP is that looking at non\[hy]printing ASCII characters isn't
what \f[I]cat\fP(1) is for, because now you have something more than
just joining files head\[hy]to\[hy]tail.  And since Rob Pike's 1983 paper,
\f[I]cat\fP(1) has suffered even more creeping featurism.
.PP
At first sight, \f[I]uncia\fP(1) would appear to be even worse, given
that it can do zillions of different things to text files.  The
subtlety lies in uncia's implementation: each different filter that
\f[I]uncia\fP(1) implements is a separate class, and all of these
classes can be chained together, much like commands being piped together
on the command line. The implementation uses the C++ \f[CW]<iostream>\fP
interface, allowing the various classes to be re\[hy]used in other C++
programs.  This is still the Unix philosophy, but it's implemented as a
library at the \f[CW]<iostream>\fP level, rather than a directory full
of executables.
.TP 8n
\f[B]Input Filters:\fP
column remove (colrm),
crlf to nl (dos2unix),
escape newline,
expand,
gunzip,
hash comments,
head,
lower case,
MIME base\[hy]32 decode,
MIME base\[hy]32\[hy]hex decode,
MIME base\[hy]64 decode,
MIME quoted printable decode,
number lines (cat \-n),
paste,
prefix remove,
Primos text decode,
reverse (rev),
reverse lines (tac),
rot13,
sort,
tail,
unique,
upper case,
uudecode,
VMS text decode,
xxdecode.
.TP
\f[B]Output Filters:\fP
base 32,
base\[hy]32\[hy]hex,
base 64,
double space,
fold,
gzip,
hexdump,
lower case,
nl to crlf (unix2dos),
number lines (cat \-n),
prefix add,
MIME quoted printable,
Primos text encode,
reverse (rev),
rot13,
rot47,
show nonprinting (cat \-v),
show tabs (cat \-T),
squeeze blank (cat \-s),
suffix add,
tee,
unexpand,
upper case,
uuencode,
VMS text encode,
xxencode.
.SH COPYRIGHT
Uncia version \*(v)
.br
Copyright
.if n (C)
.if t \(co
2010 Peter Miller
.PP
This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.
.PP
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.
.PP
You should have received a copy of the GNU General Public License along
with this program.  If not, see <http://www.gnu.org/licenses/>.
.br
.ne 1i
.SH AUTHOR
.TS
tab(;);
l l l.
Peter Miller;E\[hy]Mail:;pmiller@opensource.org.au
\f(CW/\e/\e*\fP;WWW:;http://miller.emu.id.au/pmiller/
.TE
.br
.bp
.SH RELEASE NOTES
.XX "" "Release Notes"
This section details the various features and bug fixes of the various releases.
.so etc/new.so
.\" vim: set ts=8 sw=4 et :
