//
// uncia - a big cat
// Copyright (C) 2008, 2010 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <libuncia/input/filter/ansi.h>


libuncia::input_filter_ansi::~input_filter_ansi()
{
}


libuncia::input_filter_ansi::input_filter_ansi(const pointer &a_deeper) :
    input_filter(a_deeper),
    state(0)
{
}


libuncia::input::pointer
libuncia::input_filter_ansi::create(const pointer &a_deeper)
{
    return pointer(new input_filter_ansi(a_deeper));
}


ssize_t
libuncia::input_filter_ansi::read(void *data, size_t size)
{
    char *start = (char *)data;
    char *end = start + size;
    char *cp = start;
    while (cp < end)
    {
        char c = 0;
        if (!deeper_get(c))
            break;
        switch (state)
        {
        case 0:
            if (c == '\33')
                state = 1;
            else
                *cp++ = c;
            break;

        case 1:
            if (c == '[')
                state = 2;
            else
                state = 0;
            break;

        default:
            if (c > ' ' && c < '@')
                state = 2;
            else
                state = 0;
            break;
        }
    }
    return (cp - start);
}
