//
// uncia - a big cat
// Copyright (C) 2008, 2010 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <libuncia/output/filter.h>


libuncia::output_filter::~output_filter()
{
}


libuncia::output_filter::output_filter(const pointer &a_deeper) :
    deeper(a_deeper)
{
}


int
libuncia::output_filter::sync(void)
{
    deeper << std::flush;
    return 0;
}


std::string
libuncia::output_filter::filename_get(void)
    const
{
    return deeper.filename_get();
}


#include <cstdio>


void
libuncia::output_filter::deeper_printf(const char *fmt, ...)
{
    va_list ap;
    va_start(ap, fmt);
    char buf[2000];
    vsnprintf(buf, sizeof(buf), fmt, ap);
    va_end(ap);
    deeper << buf;
}
