//
// uncia - a big cat
// Copyright (C) 2009 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <libuncia/output/filter/apple.h>


libuncia::output_filter_apple::~output_filter_apple()
{
}


libuncia::output_filter_apple::output_filter_apple(const pointer &a_deeper) :
    output_filter(a_deeper)
{
}


libuncia::output::pointer
libuncia::output_filter_apple::create(const pointer &a_deeper)
{
    return pointer(new output_filter_apple(a_deeper));
}


ssize_t
libuncia::output_filter_apple::write(const void *data, size_t size)
{
    const char *cp = (const char *)data;
    const char *end = cp + size;
    while (cp < end)
    {
        char c = *cp++;
        if (c == '\n')
            deeper_putc('\r');
        else
            deeper_putc(c);
    }
    return size;
}
