//
// uncia - a big cat
// Copyright (C) 2008, 2010 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <cstdio>

#include <libuncia/output/filter/pid.h>


libuncia::output_filter_pid::~output_filter_pid()
{
}


libuncia::output_filter_pid::output_filter_pid(const pointer &a_deeper) :
    output_filter(a_deeper),
    start_of_line(true)
{
}


libuncia::output_filter_pid::pointer
libuncia::output_filter_pid::create(const pointer &a_deeper)
{
    return pointer(new output_filter_pid(a_deeper));
}


ssize_t
libuncia::output_filter_pid::write(const void *data, size_t size)
{
    const char *cp = (const char *)data;
    const char *ep = cp + size;
    while (cp < ep)
    {
        if (start_of_line)
        {
            char buf[20];
            snprintf(buf, sizeof(buf), "[%d]: ", getpid());
            deeper_puts(buf);
            start_of_line = false;
        }
        char c = *cp++;
        deeper_putc(c);
        if (c == '\n')
            start_of_line = true;
    }
    return size;
}
