#!/bin/sh
#
# uncia - a big cat
# Copyright (C) 2010 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="output filter base32"
. test_prelude

cat > test.in.qp << 'fubar'
f=
fubar
if test $? -ne 0; then no_result; fi

uncia test.in.qp -qp -o test.in
if test $? -ne 0; then no_result; fi

cat > test.ok << 'fubar'
MY======
fubar
if test $? -ne 0; then no_result; fi

uncia test.in -o -base32 test.out
if test $? -ne 0; then fail; fi

diff test.ok test.out
if test $? -ne 0; then fail; fi

# --------------------------------------------------------------------------

cat > test.in.qp << 'fubar'
fo=
fubar
if test $? -ne 0; then no_result; fi

uncia test.in.qp -qp -o test.in
if test $? -ne 0; then no_result; fi

cat > test.ok << 'fubar'
MZXQ====
fubar
if test $? -ne 0; then no_result; fi

uncia test.in -o -base32 test.out
if test $? -ne 0; then fail; fi

diff test.ok test.out
if test $? -ne 0; then fail; fi

# --------------------------------------------------------------------------

cat > test.in.qp << 'fubar'
foo=
fubar
if test $? -ne 0; then no_result; fi

uncia test.in.qp -qp -o test.in
if test $? -ne 0; then no_result; fi

cat > test.ok << 'fubar'
MZXW6===
fubar
if test $? -ne 0; then no_result; fi

uncia test.in -o -base32 test.out
if test $? -ne 0; then fail; fi

diff test.ok test.out
if test $? -ne 0; then fail; fi

# --------------------------------------------------------------------------

cat > test.in.qp << 'fubar'
foob=
fubar
if test $? -ne 0; then no_result; fi

uncia test.in.qp -qp -o test.in
if test $? -ne 0; then no_result; fi

cat > test.ok << 'fubar'
MZXW6YQ=
fubar
if test $? -ne 0; then no_result; fi

uncia test.in -o -base32 test.out
if test $? -ne 0; then fail; fi

diff test.ok test.out
if test $? -ne 0; then fail; fi

# --------------------------------------------------------------------------

cat > test.in.qp << 'fubar'
fooba=
fubar
if test $? -ne 0; then no_result; fi

uncia test.in.qp -qp -o test.in
if test $? -ne 0; then no_result; fi

cat > test.ok << 'fubar'
MZXW6YTB
fubar
if test $? -ne 0; then no_result; fi

uncia test.in -o -base32 test.out
if test $? -ne 0; then fail; fi

diff test.ok test.out
if test $? -ne 0; then fail; fi

#
# The things tested here, worked.
# No other guarantees are made.
#
pass

# vim:ts=8:sw=4:et
