#!/bin/sh
#
# uncia - a big cat
# Copyright (C) 2010 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="input filter base-32-hex"
. test_prelude

cat > test.in << 'fubar'
CO======
fubar
if test $? -ne 0; then no_result; fi

cat > test.ok.qp << 'fubar'
f=
fubar
if test $? -ne 0; then no_result; fi

uncia test.ok.qp -qp -o test.ok
if test $? -ne 0; then no_result; fi

uncia test.in -base32hex -o test.out
if test $? -ne 0; then fail; fi

cmp test.ok test.out
if test $? -ne 0; then fail; fi

# --------------------------------------------------------------------------

cat > test.in << 'fubar'
CPNG====
fubar
if test $? -ne 0; then no_result; fi

cat > test.ok.qp << 'fubar'
fo=
fubar
if test $? -ne 0; then no_result; fi

uncia test.ok.qp -qp -o test.ok
if test $? -ne 0; then no_result; fi

uncia test.in -base32hex -o test.out
if test $? -ne 0; then fail; fi

cmp test.ok test.out
if test $? -ne 0; then fail; fi

# --------------------------------------------------------------------------

cat > test.in << 'fubar'
CPNMU===
fubar
if test $? -ne 0; then no_result; fi

cat > test.ok.qp << 'fubar'
foo=
fubar
if test $? -ne 0; then no_result; fi

uncia test.ok.qp -qp -o test.ok
if test $? -ne 0; then no_result; fi

uncia test.in -base32hex -o test.out
if test $? -ne 0; then fail; fi

cmp test.ok test.out
if test $? -ne 0; then fail; fi

# --------------------------------------------------------------------------

cat > test.in << 'fubar'
CPNMUOG=
fubar
if test $? -ne 0; then no_result; fi

cat > test.ok.qp << 'fubar'
foob=
fubar
if test $? -ne 0; then no_result; fi

uncia test.ok.qp -qp -o test.ok
if test $? -ne 0; then no_result; fi

uncia test.in -base32hex -o test.out
if test $? -ne 0; then fail; fi

cmp test.ok test.out
if test $? -ne 0; then fail; fi

# --------------------------------------------------------------------------

cat > test.in << 'fubar'
CPNMUOJ1
fubar
if test $? -ne 0; then no_result; fi

cat > test.ok.qp << 'fubar'
fooba=
fubar
if test $? -ne 0; then no_result; fi

uncia test.ok.qp -qp -o test.ok
if test $? -ne 0; then no_result; fi

uncia test.in -base32hex -o test.out
if test $? -ne 0; then fail; fi

cmp test.ok test.out
if test $? -ne 0; then fail; fi

#
# The things tested here, worked.
# No other guarantees are made.
#
pass

# vim:ts=8:sw=4:et
