#!/bin/sh
#
# uncia - a big cat
# Copyright (C) 2010 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="output filter xxencode"
. test_prelude

uncia - -qp -o test.in << 'fubar'
We need a test more than fourty five characters long, so that=0D
we can check that the encoded lines wrap in the correct place.=0D
fubar
if test $? -ne 0; then no_result; fi

cat > test.ok << 'fubar'
begin 644 test.out
hJqIUPaJZN0-V65FZQrEUPKxmNG-oO43i64NjRL7oSG-aOLNZ64BcML7VMrFZ
hQbAUP4xiNmkUQqwUR4VVR+o8RqIUMq3i64BcNKBf65FcMLEUR4VZ64JiMqxY
ZNKEUP4ZiNLAURr7VQ0-dPW-oO4IUMqxmQaJXR0-kP43XNGsB0U++
end
fubar
if test $? -ne 0; then no_result; fi

uncia test.in -o -xxencode test.out
if test $? -ne 0; then fail; fi

diff test.ok test.out
if test $? -ne 0; then fail; fi

#
# The things tested here, worked.
# No other guarantees are made.
#
pass

# vim:ts=8:sw=4:et
